X
Tap here to go to the mobile version of the site.

Support Forum

Wrong version of firefox reported

Posted

When I go to addons.mozilla.org I get the following error. "This add-on requires a newer version of Firefox (at least version 57.0). You are using Firefox 52.0." I have installed and am using firefox quantum v. 59.0.2 (64-bit) on Ubuntu 17.10.

What would make my version be reported/read wrong?

I've disabled all of my extensions and still have the same problem.

When I go to addons.mozilla.org I get the following error. "This add-on requires a newer version of Firefox (at least version 57.0). You are using Firefox 52.0." I have installed and am using firefox quantum v. 59.0.2 (64-bit) on Ubuntu 17.10. What would make my version be reported/read wrong? I've disabled all of my extensions and still have the same problem.

Chosen solution

Hi,

Your system details show the wrong user agent - would you check this please :

Type in the address bar about:config (press Enter) (promise to be careful, if asked)

Type in the search bar and look for the prefenrence :

privacy.resistFingerprinting

And make sure that its value is set to false


Also see :

How to reset the default user agent on Firefox  ?

Read this answer in context 1

Additional System Details

Application

  • User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0

More Information

Happy112 561 solutions 5694 answers

Chosen Solution

Hi,

Your system details show the wrong user agent - would you check this please :

Type in the address bar about:config (press Enter) (promise to be careful, if asked)

Type in the search bar and look for the prefenrence :

privacy.resistFingerprinting

And make sure that its value is set to false


Also see :

How to reset the default user agent on Firefox  ?

Hi, Your system details show the wrong user agent - would you check this please : Type in the address bar '''about:config''' (press Enter) (promise to be careful, if asked) Type in the search bar and look for the prefenrence : '''privacy.resistFingerprinting''' And make sure that its value is set to '''false''' --------------------------------------------------------------------------------------------------- Also see : [https://support.mozilla.org/en-US/kb/how-reset-default-user-agent-firefox How to reset the default user agent on Firefox ?]

Modified by Happy112

Question owner

Thank you that fixed it.

Thank you that fixed it.
Happy112 561 solutions 5694 answers

zorkerz said

Thank you that fixed it.

My pleasure - I'm glad you've got things back to normal  !

''zorkerz [[#answer-1097515|said]]'' <blockquote> Thank you that fixed it. </blockquote> My pleasure - I'm glad you've got things back to normal !